Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517156 - gluster-integration - doesn't reload configuration
Summary: gluster-integration - doesn't reload configuration
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-gluster-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Rohan Kanade
QA Contact: Lubos Trilety
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 10:16 UTC by Martin Kudlej
Modified: 2018-08-14 11:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
When the user runs 'systemctl reload' the gluster integration configuration does not reload. To work around this issue, run 'systemctl restart'. Gluster integration restarts as part of this operation and the configuration is done.
Clone Of:
Environment:
Last Closed: 2018-04-26 06:05:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Tendrl gluster-integration issues 491 None None None 2017-11-27 08:53:28 UTC
Red Hat Bugzilla 1515291 None None None Never

Internal Links: 1515291

Description Martin Kudlej 2017-11-24 10:16:17 UTC
This bug is about unfixed all expectations from bug 1515291.

Description of problem:
"systemctl reload" command doesn't reload gluster-integration configuration.

Version-Release number of selected component (if applicable):
tendrl-gluster-integration-1.5.4-3.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. get current date: $ date
2. get conf files for package: $ rpm -qc tendrl-gluster-integration
3. reload configuration: $ systemctl reload tendrl-gluster-integration
4. check if conf files from 2. are touched: $ find /etc/tendrl/ -type f | xargs stat | egrep '^Access: 2|File:'

Actual results:
"systemctl reload" doesn't reload service configuration.

Expected results:
"systemctl reload" reloads service configuration.

Additional info:
Cite from systemd documentation:
reload PATTERN...
           Asks all units listed on the command line to reload their
           configuration. Note that this will reload the service-specific
           configuration, not the unit configuration file of systemd. If you
           want systemd to reload the configuration file of a unit, use the
           daemon-reload command. In other words: for the example case of
           Apache, this will reload Apache's httpd.conf in the web server,
           not the apache.service systemd unit file.

           This command should not be confused with the daemon-reload
           command.

Comment 1 Nishanth Thomas 2017-11-24 13:36:31 UTC
Proopose to take this up in a later release.
Moving to next release.

Comment 2 Rohan Kanade 2017-11-27 08:53:28 UTC
Fixed: https://github.com/Tendrl/gluster-integration/issues/491

Comment 4 Lubos Trilety 2017-11-28 12:10:24 UTC
Tested with:
tendrl-gluster-integration-1.5.4-6.el7rhgs.noarch

Configuration was not reloaded.

Comment 5 Lubos Trilety 2017-12-05 14:31:06 UTC
Tested with:
tendrl-gluster-integration-1.5.4-8.el7rhgs.noarch

Configuration was not reloaded.

Comment 14 Nishanth Thomas 2017-12-07 04:21:04 UTC
Moving the bug out of 3.3.z


Note You need to log in before you can comment on or make changes to this bug.